UART_INSERT_CHAR(9)

NAME
uart_insert_char - push a char to the uart layer

SYNOPSIS

void uart_insert_char(struct uart_port * port, unsigned int status, unsigned int overrun, unsigned int ch, unsigned int flag);

ARGUMENTS

port
    corresponding port

status
    state of the serial port RX buffer (LSR for 8250)

overrun
    mask of overrun bits in status

ch
    character to push

flag
    flag for the character (see TTY_NORMAL and friends)

DESCRIPTION

User is responsible to call tty_flip_buffer_push when they are done with insertion.

COPYRIGHT